/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\tentaclestalon.cs
Lines of code: 40

Description: 

***********************************************************/



using System;
using Server;

namespace Server.Items
{

	public class tentaclestalon : BoneHarvester
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

		
		
	 	[Constructable]
	 	public tentaclestalon()
	 	{
	 	 	Name = "The Tentacle's Talon";
	 	 	Hue = 1644;
			Attributes.AttackChance = 10;
			Attributes.WeaponSpeed = 15;
			Attributes.SpellChanneling=1;
			WeaponAttributes.HitLeechHits=50;
			SkillBonuses.SetValues( 0, SkillName.MagicResist, 15 );
	 	}

	 	public tentaclestalon(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 1 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
			
			if(version==0)
			{
				SkillBonuses.SetValues( 0, SkillName.MagicResist, 15 );				
				WeaponAttributes.HitLeechHits=50;
				Attributes.BonusStr=0;
			}
			
	 	}
	}
}
